version: '3.7'

services:
    terraform:
        image: hashicorp/terraform:0.12.21
        volumes:
            - .:/infra
        working_dir: /infra
        environment: 
            - AWS_ACCESS_KEY_ID=${AWS_ACCESS_KEY_ID}
            - AWS_SECRET_ACCESS_KEY=${AWS_SECRET_ACCESS_KEY}
            - AWS_SESSION_TOKEN=${AWS_SESSION_TOKEN}